
function Create(self)
    self.LTimer = Timer();
	--Find out who shot the weapon by finding the closest actor within 50 pixels.
    local curdist = 50;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end
    
    --If the missile has no firer, make it go after anyone.  Otherwise, set its team to that of the firer.
    if MovableMan:IsActor(self.parent) then
	self.Team = self.parent.Team;
    else
	self.Team = -1;
    end
end

function Update(self)
	self.ToSettle = false;
	self.Vel.Y = self.Vel.Y + 0.1;
--Scene.Man:FindAltitude < 50 and
	if self.LTimer:IsPastSimMS(300) then
	    self:EnableEmission(true);
	end
	
	if self.LTimer:IsPastSimMS(350) then
		if math.abs(self.Vel.Y) < 0.2 and math.abs(self.Vel.X) < 0.2 then
			self.PinStrength = 99999;
		end --If vel == 0
	end
	
	local vel = Vector(self.Vel.X,self.Vel.Y):SetMagnitude(25);
	if SceneMan:CastStrengthRay(self.Pos,vel,10,vel,5,0,true) then
		self:GibThis();
	end
	
	vel = Vector(self.Vel.X,self.Vel.Y):SetMagnitude(250);
	if SceneMan:CastStrengthRay(self.Pos,vel,10,vel,5,0,true) then
		self:GibThis();
	end
  
	if self.LTimer:IsPastSimMS(900) then
		self:GibThis();
	end
	
end 